Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler.modules
Interface MbeansSourceMBean

All Known Implementing Classes:
  MbeansSource

    public interface MbeansSourceMBean

This mbean will load an extended mlet file ( similar in syntax with jboss ). It'll keep track of all attribute changes and update the file when attributes change.

Method Summary
`java.util.List` | `getMBeans()` Return the list of loaded mbeans names
`java.lang.Object` | `getSource()`
`void` | `init()` Call the init method on all mbeans.
`void` | `load()` Load the mbeans from the source.
`void` | `save()` Save the file.
`void` | `setSource(java.lang.Object source)` Set the source to be used to load the mbeans

Method Detail

### setSource

    void setSource(java.lang.Object source)

  Set the source to be used to load the mbeans

  Parameters:
    `source` - File or URL

### getSource

    java.lang.Object getSource()

### getMBeans

    java.util.List getMBeans()

  Return the list of loaded mbeans names

  Returns:
    List of ObjectName

### load

    void load()
              throws java.lang.Exception

  Load the mbeans from the source. Called automatically on init()

  Throws:
    `java.lang.Exception`

### init

    void init()
              throws java.lang.Exception

  Call the init method on all mbeans. Will call load if not done already

  Throws:
    `java.lang.Exception`

### save

    void save()

  Save the file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.